#!/bin/sh

set -e

case "${1}" in
	install|upgrade)
		mkdir -p /lib/open-infrastructure/container/divert

		for FILE in halt poweroff reboot shutdown coldreboot
		do
			dpkg-divert --package progress-linux-container --quiet --add --rename --divert /lib/open-infrastructure/container/divert/${FILE}.orig /sbin/${FILE}
		done

		for FILE in pm-hibernate pm-suspend pm-suspend-hybrid
		do
			dpkg-divert --package progress-linux-container --quiet --add --rename --divert /lib/open-infrastructure/container/divert/${FILE}.orig /usr/sbin/${FILE}
		done
		;;

	abort-upgrade)

		;;

	*)
		echo "preinst called with unknown argument \`${1}'" >&2
		exit 1
		;;
esac

#DEBHELPER#

exit 0
